## python-coverage 3.7.1+dfsg.1

=== debian/control ===
Source: python-coverage
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ben Finney <ben+debian@benfinney.id.au>
Section: python
Priority: optional
Standards-Version: 3.9.5
Build-Depends:
    debhelper (>= 9~),
    python-docutils,
    python-setuptools,
    python-all-dev (>= 2.6.6-3~),
    python-all-dbg,
    python (>= 2.6.6-3~),
    python3-setuptools,
    python3-all-dev,
    python3-all-dbg,
    python3
Homepage: http://nedbatchelder.com/code/coverage/
VCS-bzr: http://anonscm.debian.org/bzr/collab-maint/python-coverage/python-coverage.debian/
VCS-Browser: http://anonscm.debian.org/loggerhead/collab-maint/python-coverage/python-coverage.debian/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-coverage
Architecture: any
Depends:
    python-pkg-resources,
    ${python:Depends},
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    libjs-jquery-hotkeys,
    libjs-jquery-isonscreen,
    libjs-jquery-tablesorter,
    libjs-jquery
Description: code coverage tool for Python 2
 The ‘coverage’ library measures which parts (statements) of a Python
 program are executed while it is run. This is useful for testing:
 those parts of a program that are not executed by the tests have not
 been tested.
 .
 This package contains the Python version 2 ‘coverage’ library, and the
 ‘python-coverage’ program to perform and report coverage tests.

Package: python3-coverage
Architecture: any
Depends:
    python3-pkg-resources,
    ${python3:Depends},
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    libjs-jquery-hotkeys,
    libjs-jquery-isonscreen,
    libjs-jquery-tablesorter,
    libjs-jquery
Description: code coverage tool for Python 3
 The ‘coverage’ library measures which parts (statements) of a Python
 program are executed while it is run. This is useful for testing:
 those parts of a program that are not executed by the tests have not
 been tested.
 .
 This package contains the Python version 3 ‘coverage’ library, and the
 ‘python3-coverage’ program to perform and report coverage tests.

Package: python-coverage-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    python-coverage (= ${binary:Version}),
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    python-dbg
Description: code coverage tool for Python 2 – debug library
 The ‘coverage’ library measures which parts (statements) of a Python
 program are executed while it is run. This is useful for testing:
 those parts of a program that are not executed by the tests have not
 been tested.
 .
 This package contains the debugging symbols and debug build for the C
 extension libraries in ‘python-coverage’.

Package: python3-coverage-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    python3-coverage (= ${binary:Version}),
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    python3-dbg
Description: code coverage tool for Python 3 – debug library
 The ‘coverage’ library measures which parts (statements) of a Python
 program are executed while it is run. This is useful for testing:
 those parts of a program that are not executed by the tests have not
 been tested.
 .
 This package contains the debugging symbols and debug build for the C
 extension libraries in ‘python3-coverage’.
