=== debian/changelog ===
python-coverage (4.3.4+dfsg.1-1build1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 05 Aug 2017 10:48:53 +0000

python-coverage (4.3.4+dfsg.1-1build1) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 21:28:58 +1200

python-coverage (4.3.4+dfsg.1-1) experimental; urgency=medium

  * The “Faraaz Ayaaz Hossain” release.
  * New upstream version.
    Highlights since previous release:
    * HTML report generation now obeys the ‘--skip-covered’ option.
    * The coverage run now executes ‘sys.excepthook’ when an exception
      is uncaught.
    * Configuration options in Tox configuration is now obeyed.
  * Specify current VCS for Debian packaging work.
  * debian/patches/03.rename-debounce-library.patch:
    * Removed, applied upstream.
  * debian/patches/03.remove-hotkeys.patch:
    * Remove usage of incompatible ‘jquery.hotkeys.js’ API.
      Closes: bug#848188. Thanks to Loic Dachary for the report.

 -- Ben Finney <bignose@debian.org>  Thu, 25 May 2017 19:30:50 +1000

python-coverage (4.2+dfsg.1-2) unstable; urgency=medium

  * The “Niloy Neel” release.
  * debian/*:
    * Update my email address for Debian work.
  * debian/README.source:
    * Much more detail about how to build the source package from VCS.
  * Specify current VCS for Debian packaging work.
  * Convert UScan configuration to format version 4.
  * Add invocations of command-line programs to autopkgtests.
    Closes: bug#827464. Thanks to Barry Warsaw for the report.
  * Configure Sphinx build system to allow import of code during build.
    This allows the ‘autodoc’ extension to generate API documentation.

 -- Ben Finney <bignose@debian.org>  Sat, 24 Sep 2016 15:03:52 +1000
