=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-coverage
-Maintainer: Ben Finney <ben+debian@benfinney.id.au>
+Maintainer: Ben Finney <bignose@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
@@ -17,8 +17,8 @@
     debhelper (>= 9~)
 Standards-Version: 3.9.8
 Homepage: http://nedbatchelder.com/code/coverage/
-VCS-Git: https://anonscm.debian.org/git/collab-maint/pkg-python-coverage.git
-VCS-Browser: https://anonscm.debian.org/git/collab-maint/pkg-python-coverage.git/
+VCS-Git: https://anonscm.debian.org/git/users/bignose/debian/pkg-python-coverage.git
+VCS-Browser: https://anonscm.debian.org/git/users/bignose/debian/pkg-python-coverage.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 
@@ -30,7 +30,6 @@
     ${shlibs:Depends},
     ${misc:Depends}
 Recommends:
-    libjs-jquery-hotkeys,
     libjs-jquery-isonscreen,
     libjs-jquery-tablesorter,
     libjs-jquery-throttle-debounce,
@@ -58,7 +57,6 @@
     ${shlibs:Depends},
     ${misc:Depends}
 Recommends:
-    libjs-jquery-hotkeys,
     libjs-jquery-isonscreen,
     libjs-jquery-tablesorter,
     libjs-jquery-throttle-debounce,
