=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # debian/rules
 # Part of the Debian ‘python-coverage’ package.
 #
-# Copyright © 2010–2016 Ben Finney <ben+debian@benfinney.id.au>
+# Copyright © 2010–2017 Ben Finney <bignose@debian.org>
 #
 # This is free software; you may copy, modify, and/or distribute this
 # work under the terms of the Apache License, version 2.0 as published
@@ -27,7 +27,6 @@
 HTMLFILES_DIR = ${DISTRIBUTION_NAME}/htmlfiles
 htmlfiles_dirname = $(notdir ${HTMLFILES_DIR})
 bundled_libraries += $(addprefix ${HTMLFILES_DIR}/, \
-	jquery.hotkeys.js \
 	jquery.isonscreen.js \
 	)
