=== debian/watch ===
# debian/watch
# Debian UScan configuration for ‘python-coverage’ package.
# Manual page: ‘uscan(1)’.

# Version of UScan configuration format.
version = 3

# Current version from Python Package Index.
opts = "uversionmangle=s/(\d)((?:a|b|c|rc)\d*)$/$1~$2/,dversionmangle=s/\+dfsg\.\d+$//" \
    http://pypi.debian.net/coverage/coverage-(\S+)\.tar\.(?:gz|bz2|xz) \
    debian debian/repack


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :
