## python-coverage 4.5+dfsg.1

=== debian/changelog ===
python-coverage (4.5+dfsg.1-3~cloud0) xenial-queens; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 21 Feb 2018 11:30:51 +0000

python-coverage (4.5+dfsg.1-3) unstable; urgency=medium

  * The “Simona Monti” release.
  * Document copyright information for bundled files in source:
    * jquery.hotkeys.js
    * jquery.isonscreen.js
    Closes: bug#890578. Thanks to Chris Lamb for the report.

 -- Ben Finney <bignose@debian.org>  Wed, 21 Feb 2018 17:33:50 +1100

python-coverage (4.5+dfsg.1-2) unstable; urgency=medium

  * The “Nadia Benedetti” release.
  * Build ‘pypy-coverage’ binary package.
    Closes: bug#889823. Thanks to Ondřej Nový for the report and patch.
  * Correct install directory in Debian rules.
    Closes: bug#890560. Thanks to Chris Lamb for the report and patch.

 -- Ben Finney <bignose@debian.org>  Fri, 16 Feb 2018 11:56:06 +1100

python-coverage (4.5+dfsg.1-1) unstable; urgency=medium

  * The “Zakir Hossain Shaon” release.
  * New upstream version.
    Highlights since previous release:
    * Support for plug-ins to alter Coverage.py configuration.
    * Corrected behaviour of ‘include’ and ‘omit’ options.
  * Specify current VCS for Debian packaging work.
  * Update description of source package for current VCS workflow.
  * Update Git-Buildpackage configuration for current VCS workflow.
  * Override the Pybuild build system detection.
    The presence of a Makefile confuses Pybuild.

 -- Ben Finney <bignose@debian.org>  Wed, 14 Feb 2018 17:12:22 +1100

python-coverage (4.4.2+dfsg.1-1) unstable; urgency=medium

  * The “Saiful Islam Chowkidar” release.
  * New upstream version.
    Highlights since previous release:
    * Support for Python 3.7.
    * Fixed a race condition when saving data.
    * Tilde expansion in file paths for configuration options.
  * Declare “Standards-Version: 4.1.3”. No additional changes required.
  * debian/patches/03.remove-hotkeys.patch:
    * Consolidate hunks, to avoid multiple patches of any one file.
      Closes: bug#887780. Thanks to Jeffrey Cliff for the report.
  * Update Lintian overrides for current Python versions.
  * Use HTTPS URL for PyPI redirector.
  * Update Debhelper compatibility level to 11.
  * debian/tests/control:
    * Update for new filesystem location of documentation.
  * Override erroneous ‘missing-notice-file-for-apache-license’.

 -- Ben Finney <bignose@debian.org>  Sat, 20 Jan 2018 18:39:57 +1100

python-coverage (4.4.1+dfsg.1-1) unstable; urgency=medium

  * The “Jogeshwar Roy” release.
  * Upload to “unstable” suite.
  * New upstream version.
    Highlights since previous release:
    * Some warnings can now be individually disabled.
    * Plugins can now choose to find unexecuted files.
    * Errors now go to the standard error stream.
  * Refresh patches for new upstream version.
  * Use current HTTPS URL for copyright format reference.
  * Declare “Standards-Version: 4.1.0”. No additional changes required.
  * Update copyright years in Debian packaging.
  * Grant a uniform license for Debian packaging work.
  * Enable smoke test of installed Python scripts in autopkgtest.

 -- Ben Finney <bignose@debian.org>  Sat, 09 Sep 2017 17:59:17 +1000
