=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,12 @@
 # debian/rules
 # Part of the Debian ‘python-coverage’ package.
 #
-# Copyright © 2010–2017 Ben Finney <bignose@debian.org>
+# Copyright © 2010–2018 Ben Finney <bignose@debian.org>
 #
-# This is free software; you may copy, modify, and/or distribute this
-# work under the terms of the Apache License, version 2.0 as published
-# by the Apache Software Foundation. No warranty expressed or implied.
-# See the file ‘/usr/share/common-licenses/Apache-2.0’ for details.
+# This is free software: you may copy, modify, and/or distribute this work
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; version 3 of that license or any later version.
+# No warranty expressed or implied.
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 DPKG_EXPORT_BUILDFLAGS = 1
@@ -16,9 +16,11 @@
 
 export PYBUILD_NAME = coverage
 export PYBUILD_DISABLE = test
+export PYBUILD_SYSTEM = distutils
 
+PYTHON3_PACKAGE_NAME = python3-${PYBUILD_NAME}
 PYTHON2_PACKAGE_NAME = python-${PYBUILD_NAME}
-PYTHON3_PACKAGE_NAME = python3-${PYBUILD_NAME}
+PYPY_PACKAGE_NAME = pypy-${PYBUILD_NAME}
 package_working_root = debian
 package_install_root = debian/{package}
 
@@ -37,11 +39,11 @@
 MANPAGE_SUFFIX = .1
 manpage_tempfile_suffix = ${MANPAGE_SUFFIX}.tmp
 default_manpage_name = python-coverage${MANPAGE_SUFFIX}
+python3_command_names = $(sort $(notdir $(wildcard \
+	${package_working_root}/*/usr/bin/python3*-coverage)))
 python2_command_names = $(sort $(notdir $(wildcard \
 	${package_working_root}/*/usr/bin/python2*-coverage)))
-python3_command_names = $(sort $(notdir $(wildcard \
-	${package_working_root}/*/usr/bin/python3*-coverage)))
-versioned_command_names = ${python2_command_names} ${python3_command_names}
+versioned_command_names = ${python3_command_names} ${python2_command_names}
 versioned_manpage_names = $(addsuffix ${MANPAGE_SUFFIX}, \
 	${versioned_command_names})
 versioned_manpage_paths = $(addprefix ${DOCUMENTATION_DIR}/, \
@@ -54,6 +56,7 @@
 GENERATED_FILES += ${DOCUMENTATION_BUILD_DIR}
 
 INSTALL = install
+MV = mv
 
 # Send HTTP traffic to the “discard” service during packaging actions.
 export http_proxy = http://127.0.1.1:9/
@@ -69,7 +72,7 @@
 
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,python2,pypy,sphinxdoc --buildsystem=pybuild
 
 
 
@@ -135,7 +138,11 @@
 override_dh_auto_install:
 	dh_auto_install --buildsystem=pybuild
 	$(RM) $(addprefix ${package_working_root}/${PYTHON3_PACKAGE_NAME}/, \
-	    usr/bin/python-coverage)
+	    usr/bin/python-coverage usr/bin/pypy-coverage)
+	$(RM) $(addprefix ${package_working_root}/${PYTHON_PACKAGE_NAME}/, \
+	    usr/bin/python3*-coverage)
+	$(RM) $(addprefix ${package_working_root}/${PYPY_PACKAGE_NAME}/, \
+	    usr/bin/python*-coverage)
 
 export PYBUILD_AFTER_INSTALL = \
 	$(INSTALL) --mode=u=rwx,go=rx --directory \
@@ -147,7 +154,7 @@
 	dh_link \
 	    --package={package} \
 	    "/${RESOURCES_DIR}/${htmlfiles_dirname}" \
-	    usr/lib/python{version}/dist-packages/${HTMLFILES_DIR}
+	    {install_dir}/${HTMLFILES_DIR}
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.rst
